Bug 203960 - glxgears crashes
glxgears crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 14:17 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 11:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2006-08-24 14:17:20 EDT
Description of problem:
when running glxgears to check if hardware rendering works glxgears crashes

Version-Release number of selected component (if applicable):


How reproducible:
xorg-x11-drv-i810-1.6.5-4.fc6
mesa-libGL-6.5.1-0.rc1.fc6
mesa-libGLU-6.5.1-0.rc1.fc6
mesa-libGLU-devel-6.5.1-0.rc1.fc6
mesa-libGL-devel-6.5.1-0.rc1.fc6


Steps to Reproduce:
1. Start glxgears from terminal
2.
3.
  
Actual results:
libGL warning: 3D driver claims to not support visual 0x5b
Mesa: CPU vendor: GenuineIntel
Mesa: CPU name: Genuine Intel(R) CPU           T2500  @ 2.00GHz
Mesa: MMX cpu detected.
Mesa: SSE cpu detected.
Mesa: Not testing OS support for SSE, leaving enabled.
glxgears: intel_ioctl.c:62: intelEmitIrqLocked: Assertion `((*(int
*)intel->driHwLock) & ~0x40000000U) == (0x80000000U|intel->hHWContext)' failed.
Aborted


Expected results:
glxgears shown zillion fps ;-)

Additional info:
Comment 1 Jurgen Kramer 2006-08-29 13:33:12 EDT
Not fixed with 
xorg-x11-drv-i810-1.6.5-5.fc6
mesa-libGL-6.5.1-0.rc1.2.fc6
mesa-libGLU-devel-6.5.1-0.rc1.2.fc6
mesa-libGLU-6.5.1-0.rc1.2.fc6
mesa-libGL-devel-6.5.1-0.rc1.2.fc6
Comment 2 Jurgen Kramer 2006-09-09 11:49:24 EDT
Problem fixed:

[kramer@macbook ~]$ glxgears 
libGL warning: 3D driver claims to not support visual 0x4b
4785 frames in 5.0 seconds = 956.941 FPS
4856 frames in 5.0 seconds = 971.155 FPS


Note You need to log in before you can comment on or make changes to this bug.